const app = getApp();
Page({
  data: {
    item:null,
    percentage:0
  },
  onLoad:function(options){
    this.setData({
      item:JSON.parse(options.item),
      percentage:JSON.parse(options.item).percentage
    })
  },
  back(){
    wx.navigateBack({
      delta: 0,
    })
  },
  
  change_stock(){
    var text
    var that = this
    var res_text
    if(this.data.percentage){
      text = "确定从"+this.data.item.percentage+"%修改至"+this.data.percentage+"%?"
      res_text="修改成功"
    }
    else{
      text = "确定删除？"
      res_text="删除成功"
    }
    
    wx.showModal({
      title: "提示",
      content:text,
      showCancel : true,
      confirmText:"确定",
      cancelText:"取消",
      success:(res)=>{
        if(res.confirm){
          
          wx.cloud.callContainer({
            "config": {
              "env": "prod-2g058voqbea31ecb"
            },
            "path": "fridge/food-stock/change/",
            "header": {
              "X-WX-SERVICE": "django-5198",
              'content-type': 'application/x-www-form-urlencoded'
            },
            "method": "POST",
            data: {id:that.data.item.id,percentage:that.data.percentage},
            success(res){
              wx.showToast({
                title: res_text,
                duration:800,
                mask:true,
                icon:'success',
                success(res){
                  setTimeout(function() {
                    wx.navigateBack({
                      delta: 0,
                    })
                  }, 800);
                  
                }
              })
              
            }
          })
        }
        
      }
    })
    
  },
  sliderchanging(e){
    wx.showToast({
      title: e.detail.value.toString()+'%',
      icon:'none'
    }),
    this.setData({
      percentage:e.detail.value
    })
  }
  
})
