const app = getApp();
Page({
    data: {
      detailed_id:null,
      detailed_name:null,
      detailed_material:null,
      detailed_steps:null,
      detailed_time:null,
      loading_1:true,
      loading_2:true,
    },

    onLoad:function(options){
      var item = JSON.parse(options.item)
      var that = this
      this.setData({
        detailed_id:Number(item.id),
        detailed_name:item.name,
        detailed_time:Number(item.time),
      })
      console.log(item.id)
      wx.cloud.callContainer({
        "config": {
          "env": "prod-2g058voqbea31ecb"
        },
        "path": "menu/materials/",
        "header": {
          "X-WX-SERVICE": "django-5198",
          "content-type": "application/x-www-form-urlencoded;charset=utf-8"
        },
        "method": "GET",
        data: {id:item.id},
        success(res){
          
          let arr = app.parse_json(res)
          that.setData({
            detailed_material: arr,
            loading_1:false
          })
        }
      })
      wx.cloud.callContainer({
        "config": {
          "env": "prod-2g058voqbea31ecb"
        },
        "path": "menu/steps/",
        "header": {
          "X-WX-SERVICE": "django-5198",
          "content-type": "application/x-www-form-urlencoded;charset=utf-8"
        },
        "method": "GET",
        data: {id:item.id},
        success(res){
          console.log(res.data)
          let arr = app.parse_json(res)
          that.setData({
            detailed_steps: arr,
            loading_2:false
          })
        }
      })
      
    },


    // get_detailedmenu(){
    //   var that = this
    //   wx.cloud.callContainer({
    //     "config": {
    //       "env": "prod-2g058voqbea31ecb"
    //     },
    //     "path": "menu/menus/",
    //     "header": {
    //       "X-WX-SERVICE": "django-5198",
    //       'content-type': 'application/x-www-form-urlencoded;charset=utf-8'
    //     },
    //     "method": "GET",
    //     data:{id:this.data.id},
    //     success(res){
    //       let arr = app.parse_json(res)
    //       that.setData({
    //         detailedmenu:arr,
    //         detailed_id:arr,
    //         detailed_meterial:arr,
    //         detailed_steps:arr,
    //         detailed_time:arr,
    //       })
    //     }
    //   })
    // },
    // onShow(){
    //   this.get_detailedmenu()
    // },


    back(){
      wx.navigateBack({
        delta: 3,
      })
    },
    back_dishes(){
        wx.navigateBack({
          delta: 1,
        })
      }
  })
  