from django.db import models
from general.models import *


class FoodStock(models.Model):

    type = models.ForeignKey(FoodType, on_delete= models.CASCADE)
    amount = models.IntegerField(default=1)
    unit = models.CharField(max_length=15,default='个')
    percentage = models.IntegerField(default=100)
    date = models.DateTimeField(auto_now_add=True)
    owner_id = models.CharField(max_length=40)
    is_active = models.BooleanField(default=True)
