from django.http import HttpResponse, JsonResponse
from django.utils import timezone # 引入timezone模块


def get_openid(request):
    openid = request.META['HTTP_X_WX_OPENID']
    print(openid)
    return JsonResponse({'openid': openid})


def get_nickname(request):
    nickname = request.POST['nickName']
    print(nickname)
    return JsonResponse({'message': 'Successfully got nickname!'})


def get_time(request):
    time = timezone.now()
    print(time)
    return JsonResponse({'time': time})


def process_json(queryset):
    results = str(list(queryset))[1:-1].replace("'", "\"")
    results = results.replace("},", "}|")
    return results





